Log enrichment
A walk, play, puzzle, training or time out. A playgroup is recorded as a playgroup. 400 for a time to come. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
enrichment
Log enrichment
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "walk",
"started_at": "2026-10-29T14:00:00Z",
"minutes": 20,
"note": "Two laps of the field."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'walk',
started_at: '2026-10-29T14:00:00Z',
minutes: 20,
note: 'Two laps of the field.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment"
payload = {
"kind": "walk",
"started_at": "2026-10-29T14:00:00Z",
"minutes": 20,
"note": "Two laps of the field."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entry": {
"id": "<string>",
"source": "log",
"kind": "walk",
"started_at": "2023-11-07T05:31:56Z",
"minutes": 300,
"note": "<string>",
"by_name": "<string>",
"playgroup_id": "<string>",
"duty": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Log enrichment
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "walk",
"started_at": "2026-10-29T14:00:00Z",
"minutes": 20,
"note": "Two laps of the field."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'walk',
started_at: '2026-10-29T14:00:00Z',
minutes: 20,
note: 'Two laps of the field.'
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/enrichment"
payload = {
"kind": "walk",
"started_at": "2026-10-29T14:00:00Z",
"minutes": 20,
"note": "Two laps of the field."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"entry": {
"id": "<string>",
"source": "log",
"kind": "walk",
"started_at": "2023-11-07T05:31:56Z",
"minutes": 300,
"note": "<string>",
"by_name": "<string>",
"playgroup_id": "<string>",
"duty": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
